Developers
API ReferenceChat Message

Updates the AssignedChatTopicUser resource

PATCH
/chat/chat-topics/{topicId}/chat-users/{userId}

Updates the AssignedChatTopicUser resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

topicId*string

AssignedChatTopicUser identifier

Formatuuid
userId*string

AssignedChatTopicUser identifier

Formatuuid

Request Body

The updated AssignedChatTopicUser resource

  1. body
mutedUntil?|
Formatdate-time
isMutedIndefinitely?boolean

Response Body

AssignedChatTopicUser resource updated

  1. response
id?string
Formatuuid
chatUser?
lastReadMessage?|
Formatuuid
lastReadAt?|
Formatdate-time
mutedUntil?|
Formatdate-time
isMutedIndefinitely?boolean
isTopicOwner?boolean
Defaultfalse
isUnread?boolean
createdAt?string
Formatdate-time
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/chat/chat-topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/chat-users/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "chatUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  },  "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b",  "lastReadAt": "2019-08-24T14:15:22Z",  "mutedUntil": "2019-08-24T14:15:22Z",  "isMutedIndefinitely": true,  "isTopicOwner": false,  "isUnread": true,  "createdAt": "2019-08-24T14:15:22Z"}